<?php
use Illuminate\Support\Facades\Route;
use TPS\Shop\Http\Controllers\Checkout;

Route::group(['middleware' => ['web', 'locale', 'theme', 'currency']], function () {
    /**
     * Checkout routes.
     */
    Route::get('/checkout/onepage', [Checkout::class, 'index'])->defaults('_config', [
        'view' => 'shop::checkout.onepage'
    ])->name('shop.checkout.onepage.index');

    Route::post('/checkout/save-address', [Checkout::class, 'save_address'])
        ->name('shop.checkout.save-address');
});